/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Information related to the affected person.
 */
@ApiModel(description = "Information related to the affected person.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class AffectedPerson {
  @SerializedName("person")
  private Model62 person = null;

  @SerializedName("relationship")
  private String relationship = null;

  @SerializedName("comment")
  private String comment = null;

  public AffectedPerson person(Model62 person) {
    this.person = person;
    return this;
  }

   /**
   * Get person
   * @return person
  **/
  @ApiModelProperty(required = true, value = "")
  public Model62 getPerson() {
    return person;
  }

  public void setPerson(Model62 person) {
    this.person = person;
  }

  public AffectedPerson relationship(String relationship) {
    this.relationship = relationship;
    return this;
  }

   /**
   * Relationship between the affected person and the card holder.
   * @return relationship
  **/
  @ApiModelProperty(example = "Cardholder", required = true, value = "Relationship between the affected person and the card holder.")
  public String getRelationship() {
    return relationship;
  }

  public void setRelationship(String relationship) {
    this.relationship = relationship;
  }

  public AffectedPerson comment(String comment) {
    this.comment = comment;
    return this;
  }

   /**
   * Comment to explain the other kind of relationship.
   * @return comment
  **/
  @ApiModelProperty(value = "Comment to explain the other kind of relationship.")
  public String getComment() {
    return comment;
  }

  public void setComment(String comment) {
    this.comment = comment;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AffectedPerson affectedPerson = (AffectedPerson) o;
    return Objects.equals(this.person, affectedPerson.person) &&
        Objects.equals(this.relationship, affectedPerson.relationship) &&
        Objects.equals(this.comment, affectedPerson.comment);
  }

  @Override
  public int hashCode() {
    return Objects.hash(person, relationship, comment);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AffectedPerson {\n");
    
    sb.append("    person: ").append(toIndentedString(person)).append("\n");
    sb.append("    relationship: ").append(toIndentedString(relationship)).append("\n");
    sb.append("    comment: ").append(toIndentedString(comment)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

